<?
	$back_url = '';
	if ( $_SERVER['HTTP_REFERER'] ) {
		$back_url = $_SERVER['HTTP_REFERER'];
	}
?>

<? if (strlen($back_url)): ?>
	<a href="<?= $back_url ?>" id="global-btn-back"><img src="<?= _st('v2.1/btn_back.gif') ?>" alt="Back" /></a>
	<div class="clear"></div>
<? endif; ?>

<? Model_Agencies::hit($this->agency->id); ?>

<?
$phone_instr = array(
	'1' => 'sms_and_call',
	'2' => 'sms_only',
	'3' => 'no_sms'
);
?>

<?php if ( ! $this->ajax ): ?>
	<? $work_times = $this->agency->getWorkTimes(); $work_times['working_times'] = unserialize($work_times['working_times']); ?>
	<div class='top-agencypage'>
		<div class='top-agencypage-i'>
			<img class='tap-img' src='<?= ($this->agency->logo_hash) ? $this->agency->getLogoUrl() : _st('banner-logo_agency.jpg'); ?>' width="179" height="139" alt='' />
			<div class='tap-left'>
				<span class="strong"><?= $this->t('agency') ?>:</span><?= $this->agency->name ?><br />
				<? if ($this->agency->phone): ?><span class="strong"><?= $this->t('phone') ?>:</span><?= isset($this->agency->phone_country_id) ? '+' . Model_Countries::getPhonePrefixById($this->agency->phone_country_id) . $this->agency->phone : $this->agency->phone ?><br /><?php endif; ?>
				<? if ($this->agency->phone && ($this->agency->phone_instructions || $this->agency->phone_instr)): ?>
					<?
					$instr = '';
					if ($this->agency->phone_instr && $this->agency->phone_instructions) $instr = $this->t($phone_instr[$this->agency->phone_instr]) . ', ' . $this->agency->phone_instructions;
					elseif ($this->agency->phone_instr) $instr = $this->t($phone_instr[$this->agency->phone_instr]);
					else $instr = $this->agency->phone_instructions;
					?>
					<span class="strong"><?= $this->t('phone_instructions') ?>:</span><?= $instr ?><br />
				<? endif; ?>
				<? if ($this->agency->phone_1): ?>
					<div style="border-top: 1px solid #CCC">
						<? if ($this->agency->phone_1): ?><span class="strong"><?= $this->t('phone_alternative') ?>:</span><?= isset($this->agency->phone_country_id_1) ? '+' . Model_Countries::getPhonePrefixById($this->agency->phone_country_id_1) . $this->agency->phone_1 : $this->agency->phone_1 ?><br /><?php endif; ?>
						<? if ($this->agency->phone_1 && ($this->agency->phone_instructions_1 || $this->agency->phone_instr_1)): ?>
							<?
							$instr = '';
							if ($this->agency->phone_instr_1 && $this->agency->phone_instructions_1) $instr = $this->t($phone_instr[$this->agency->phone_instr_1]) . ', ' . $this->agency->phone_instructions_1;
							elseif ($this->agency->phone_instr_1) $instr = $this->t($phone_instr[$this->agency->phone_instr_1]);
							else $instr = $this->agency->phone_instructions_1;
							?>
							<span class="strong"><?= $this->t('phone_instructions') ?>:</span><?= $instr ?><br />
						<? endif; ?>
					</div>
				<? endif; ?>
				<? if ($this->agency->phone_2): ?>
					<div style="border-top: 1px solid #CCC">
						<? if ($this->agency->phone_2): ?><span class="strong"><?= $this->t('phone_alternative') ?>:</span><?= isset($this->agency->phone_country_id_2) ? '+' . Model_Countries::getPhonePrefixById($this->agency->phone_country_id_2) . $this->agency->phone_2 : $this->agency->phone_2 ?><br /><?php endif; ?>
						<? if ($this->agency->phone_2 && ($this->agency->phone_instructions_2 || $this->agency->phone_instr_2)): ?>
							<?
							$instr = '';
							if ($this->agency->phone_instr_2 && $this->agency->phone_instructions_2) $instr = $this->t($phone_instr[$this->agency->phone_instr_2]) . ', ' . $this->agency->phone_instructions_2;
							elseif ($this->agency->phone_instr_2) $instr = $this->t($phone_instr[$this->agency->phone_instr_2]);
							else $instr = $this->agency->phone_instructions_2;
							?>
							<span class="strong"><?= $this->t('phone_instructions') ?>:</span><?= $instr ?><br />
						<? endif; ?>
					</div>
				<? endif; ?>
				<?/*<? if ($this->agency->email): ?><span class="strong"><?= $this->t('email') ?>:</span><a href="" onclick="" class="contact-me" ><img src="<?= _st($this->lang() . '_btn_contactme.gif') ?>" alt='Contact me' /></a><div class='clear'>&nbsp;</div><?php endif; ?>*/?>
				<? if ($this->agency->web AND !$this->agency->block_website): ?><span class="strong"><?= $this->t('web') ?>:</span><a target='_blank' href='<?= Cubix_Utils::urlMaker($this->agency->web) ?>'><?= $this->agency->web ?></a><div class='clear'>&nbsp;</div><?php endif; ?>
				<span class="strong"><?= $this->t('ladies') ?>:</span><?= $this->count ?><br />
			</div>

			<? if($this->agency->available_24_7): ?>
			<div class='tap-right'>
				<div class='open hours'>
					<span class="strong"><?= $this->t('available_24_7') ?></span><br />
					<img class="img" src="<?= _st('v2.1/24_7_icon.gif') ?>" />
				</div>
			</div>
			<? endif; ?>

			<?php if($work_times['working_times']): ?>
				<div class='tap-right'>
					<div class='open hours'>						
						<span class="strong"><?= $this->t('open_hours') ?></span><br />
						<?php if($work_times['is_open']): ?>
							<img class='img' src='<?= _st($this->lang() . '_btn_nowopen.gif') ?>' alt='<?= $this->t('now_open') ?>' />
						<?php else:?>
							<img class='img' src='<?= _st($this->lang() . '_btn_closed.gif') ?>' alt='<?= $this->t('closed') ?>' />
						<?php endif;?>
					</div>
					
					<?php foreach($work_times['working_times'] as $k => $wt): ?>
						<span><?= $this->getWeekDay($wt['day_index']); ?>: </span><?= ($wt['time_from'] < 10) ? '0' . intval($wt['time_from']) : intval($wt['time_from']) ?>:<?= ( strlen($wt['time_from']) < 3 ) ? '00' : '30'?> - <?= ($wt['time_to'] < 10) ? '0' . intval($wt['time_to']) : intval($wt['time_to']) ?>:<?= (strlen($wt['time_to']) < 3) ? '00' : '30' ?><br />
	                <?php endforeach;?>
				</div>
			<?php endif; ?>
			
			<? $about ='about_'.Cubix_I18n::getLang()?>
			<? if( $this->agency->{$about}): ?>
				<div class='clear'>&nbsp;</div>
				<div class="tap-bottom">
					<div class="about_header"><?= $this->t('about_us') ?> </div>
					<div class="about_text"><?= $this->agency->{$about} ?></div>
				</div>
			<? endif; ?>
			<div class='clear'>&nbsp;</div>
		</div>
	</div>
	
	<div class='bodky-big'>&nbsp;</div>
	
	<? $this->headScript()->appendScript("window.addEvent('domready', function () {
		Cubix.HashController.init();
	});"); ?>
	
	<div class='detail-infobox2'>
		<span><span class="strong"><?= $this->t('a_viewed') ?>:</span> <?= $this->agency->hit_count ?>x</span>
		<span><span class="strong"><?= $this->t('last_modified') ?>:</span> <?= ($this->agency->last_modified) ? date('d M Y', strtotime($this->agency->last_modified)) : '---' ?></span>
		<span><span class="strong"><?= $this->t('created') ?>:</span> <?= date('d M Y', strtotime($this->agency->creation_date)); ?></span>
	</div>
	
	<div class='bodky-big'>&nbsp;</div>
<?php endif; ?>

<div class="i">
	<div id="container_escorts_in">
	<?= $this->render('escorts/list.phtml') ?>
	</div>
</div>	
<?
//	$escorts = array();
//
//	foreach ( $this->escorts as $escort ) {
//		$escorts[] = $escort->showname;
//	}
//	
//	$seo = $this->seo('agency', $this->agency->id, array('escorts_count' => $this->count, 'escorts' => implode(', ', $escorts), 'name' => $this->agency->name), true);
?>
